# CALL_ID=your_call_id
# API_KEY=your_api_key
curl -H "X-API-Key:$API_KEY" "https://api.vaanivoice.ai/api/transcript/$CALL_ID"
const CALL_ID = "outbound-1776774443-863aa698";
const API_KEY = "your_api_key";
const response = await fetch(
`https://api.vaanivoice.ai/api/transcript/${CALL_ID}`,
{
method: "GET",
headers: {
"X-API-Key": API_KEY,
},
}
);
const data = await response.json();
console.log(data);
import requests
CALL_ID = "outbound-1776774443-863aa698"
API_KEY = "your_api_key"
headers = {
"X-API-Key": API_KEY
}
response = requests.get(
f"https://api.vaanivoice.ai/api/transcript/{CALL_ID}",
headers=headers,
)
print(response.json())
{
"transcript": "AGENT: Hi! You've reached our customer service. I am your assistant, how can I help you today?\n\n USER: Hello. Hello. What are you offering?\n\n AGENT: Namaste! We provide a platform where you can start any business according to your preference...\n\n USER: Yeah.\n\n AGENT: Great! So, let me tell you...",
"status_code": 200,
"function": "get_transcript"
}
Calls
Get Transcript
Retrieve the transcript for a call
GET
/
api
/
transcript
/
{call_id}
# CALL_ID=your_call_id
# API_KEY=your_api_key
curl -H "X-API-Key:$API_KEY" "https://api.vaanivoice.ai/api/transcript/$CALL_ID"
const CALL_ID = "outbound-1776774443-863aa698";
const API_KEY = "your_api_key";
const response = await fetch(
`https://api.vaanivoice.ai/api/transcript/${CALL_ID}`,
{
method: "GET",
headers: {
"X-API-Key": API_KEY,
},
}
);
const data = await response.json();
console.log(data);
import requests
CALL_ID = "outbound-1776774443-863aa698"
API_KEY = "your_api_key"
headers = {
"X-API-Key": API_KEY
}
response = requests.get(
f"https://api.vaanivoice.ai/api/transcript/{CALL_ID}",
headers=headers,
)
print(response.json())
{
"transcript": "AGENT: Hi! You've reached our customer service. I am your assistant, how can I help you today?\n\n USER: Hello. Hello. What are you offering?\n\n AGENT: Namaste! We provide a platform where you can start any business according to your preference...\n\n USER: Yeah.\n\n AGENT: Great! So, let me tell you...",
"status_code": 200,
"function": "get_transcript"
}
Get Transcript
Retrieve the transcript for a call.Parameters
string
required
The unique call ID (e.g.,
outbound-1776774443-863aa698)Request Example
# CALL_ID=your_call_id
# API_KEY=your_api_key
curl -H "X-API-Key:$API_KEY" "https://api.vaanivoice.ai/api/transcript/$CALL_ID"
const CALL_ID = "outbound-1776774443-863aa698";
const API_KEY = "your_api_key";
const response = await fetch(
`https://api.vaanivoice.ai/api/transcript/${CALL_ID}`,
{
method: "GET",
headers: {
"X-API-Key": API_KEY,
},
}
);
const data = await response.json();
console.log(data);
import requests
CALL_ID = "outbound-1776774443-863aa698"
API_KEY = "your_api_key"
headers = {
"X-API-Key": API_KEY
}
response = requests.get(
f"https://api.vaanivoice.ai/api/transcript/{CALL_ID}",
headers=headers,
)
print(response.json())
Response
Success Response (200)
{
"transcript": "AGENT: Hi! You've reached our customer service. I am your assistant, how can I help you today?\n\n USER: Hello. Hello. What are you offering?\n\n AGENT: Namaste! We provide a platform where you can start any business according to your preference...\n\n USER: Yeah.\n\n AGENT: Great! So, let me tell you...",
"status_code": 200,
"function": "get_transcript"
}
string
Full conversation transcript with speaker labels (
AGENT: / USER:) and line breaks separating turnsinteger
HTTP status code of the internal response
string
Internal function name — always
"get_transcript"Not Found (404)
Returned when the transcript has not been generated yet (e.g., call is still in progress).{
"transcript": "Transcript not found in Azure Blob Storage",
"status_code": 404,
"function": "get_transcript"
}
Validation Error (422)
{
"detail": [
{
"loc": ["path", "call_id"],
"msg": "field required",
"type": "value_error.missing"
}
]
}

